Public Types | Public Member Functions

# Glib::Value_Flags< T > Class Template Reference
[Generic Values]

Base class of Glib::Value<T> specializations for flags types. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Flags< T >:
[legend]

List of all members.

## Public Types
typedef T | CppType
## Public Member Functions
void | set (CppType data)
CppType | get () const

## Detailed Description

### template <class T>
class Glib::Value_Flags< T >

Base class of Glib::Value<T> specializations for flags types.

## Member Typedef Documentation

template <class T >

typedef T Glib::Value_Flags< T >::CppType

## Member Function Documentation

template <class T >

CppType Glib::Value_Flags< T >::get | ( | ) | const`[inline]`

template <class T >

void Glib::Value_Flags< T >::set | ( | CppType | data ) | `[inline]`